summaryrefslogtreecommitdiff
path: root/package/base-files/files/bin/board_detect
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-08-18 13:09:17 +0000
committerJohn Crispin <john@openwrt.org>2014-08-18 13:09:17 +0000
commit562d9f958290acd4323b24fbecfec43514b392e9 (patch)
treec1f25b964ce0560d7aa4842fa4de4f560ad374f5 /package/base-files/files/bin/board_detect
parent2c6768219221954c731b14f43f57840a96002a03 (diff)
downloadmtk-20170518-562d9f958290acd4323b24fbecfec43514b392e9.zip
mtk-20170518-562d9f958290acd4323b24fbecfec43514b392e9.tar.gz
mtk-20170518-562d9f958290acd4323b24fbecfec43514b392e9.tar.bz2
base-files: add a hardware detection layer
this allows targets to use the new uci-default helper which will generate a file called /etc/board.json. a tool called /bin/config_generate can then be used to generate the default uci settings. Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 42185
Diffstat (limited to 'package/base-files/files/bin/board_detect')
-rwxr-xr-xpackage/base-files/files/bin/board_detect14
1 files changed, 14 insertions, 0 deletions
diff --git a/package/base-files/files/bin/board_detect b/package/base-files/files/bin/board_detect
new file mode 100755
index 0000000..ddd17a1
--- /dev/null
+++ b/package/base-files/files/bin/board_detect
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+[ -d "/etc/board.d/" -a ! -f "/etc/board.json" ] || {
+ for a in `ls /etc/board.d/*`; do
+ [ -x $a ] || continue;
+ $(. $a)
+ done
+}
+
+[ -f "/etc/board.json" ] || return 1
+[ -f "/etc/config/network" ] || {
+ touch /etc/config/network
+ /bin/config_generate
+}